.m-appointment-datetime {
    padding: 16px 32px;
}
.m-appointment-datetime-days {
    position: relative;
    height: 46px;
    padding: 0 30px;
}
.m-appointment-datetime-days_scroller {
    position: absolute;
    top: 0;
    bottom: 0;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    width: 30px;
    border: 1px solid #d8d8d8;
    background: #fff;
    color: #d8d8d8;
}
.m-appointment-datetime-days_scroller:before {
    position: absolute;
    top: 50%;
    right: 0;
    left: 0;
    margin: -1px 0 0;
    font-size: 16px;
    line-height: 2px;
    text-align: center;
}
.m-appointment-datetime-days_scroller._left {
    left: 0;
    border-radius: 4px 0 0 4px;
}
.m-appointment-datetime-days_scroller._left:before {
    font-family: '.m-appointment';
    content: '\e606';
}
.m-appointment-datetime-days_scroller._right {
    right: 0;
    border-radius: 0 4px 4px 0;
}
.m-appointment-datetime-days_scroller._right:before {
    font-family: '.m-appointment';
    content: '\e607';
}
.m-appointment-datetime-days_scroller:hover {
    background: #fafafa;
    color: #000;
}
.m-appointment-datetime-days_scroller:hover:active {
    background: #eaeaea;
}
.m-appointment-datetime-days_scroller {
    -webkit-transition: background 0.2s ease-in-out, color 0.2s ease-in-out;
    transition: background 0.2s ease-in-out, color 0.2s ease-in-out;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}
.m-appointment-datetime-days_scroller:hover {
    -webkit-transition-duration: 0.1s;
    transition-duration: 0.1s;
}
.m-appointment-datetime-days_scroller:hover:active {
    -webkit-transition-duration: 0s;
    transition-duration: 0s;
}
.m-appointment-datetime-days-items {
    overflow: hidden;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    height: 46px;
    border-top: 1px solid #d8d8d8;
    border-bottom: 1px solid #d8d8d8;
    white-space: nowrap;
}
.m-appointment-datetime-days-items_i {
    display: inline-block;
    vertical-align: top;
}
.m-appointment-datetime-days-items_i + .m-appointment-datetime-days-items_i {
    border-left: 1px solid #d8d8d8;
}
.m-appointment-datetime-days-item {
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    height: 44px;
    padding: 0 8px;
    font-size: 14px;
    line-height: 44px;
}
.m-appointment-datetime-days-item:hover {
    background: #fafafa;
}
.m-appointment-datetime-days-item:hover:active {
    background: #eaeaea;
}
.m-appointment-datetime-days-items_i._chosen .m-appointment-datetime-days-item {
    background: #fafafa;
    color: #000;
}
.m-appointment-datetime-days-item {
    -webkit-transition: background 0.2s ease-in-out, color 0.2s ease-in-out;
    transition: background 0.2s ease-in-out, color 0.2s ease-in-out;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}
.m-appointment-datetime-days-item:hover {
    -webkit-transition-duration: 0.1s;
    transition-duration: 0.1s;
}
.m-appointment-datetime-days-item:hover:active {
    -webkit-transition-duration: 0s;
    transition-duration: 0s;
}
.m-appointment-datetime-times-items {
    position: relative;
    overflow: hidden;
    margin: -16px 0 0 -16px;
}
.m-appointment-datetime-times-items_i {
    float: left;
    padding: 16px 0 0 16px;
}
.m-appointment-datetime-times-item {
    position: relative;
    display: inline-block;
    vertical-align: top;
    overflow: hidden;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    height: 46px;
    border-radius: 4px;
    font-size: 0;
    line-height: 46px;
    vertical-align: middle;
    border: 1px solid;
}
.m-appointment-datetime-times-item:hover {
    opacity: 0.8;
}
.m-appointment-datetime-times-item:hover:active {
    opacity: 0.6;
}
.m-appointment-datetime-times-items_i._chosen .m-appointment-datetime-times-item {
    background: #e6e6e6;
    color: #000;
    font-weight: 600;
}
.m-appointment-datetime-times-item {
    -webkit-transition: opacity 0.2s ease-in-out, background 0.2s ease-in-out, color 0.2s ease-in-out;
    transition: opacity 0.2s ease-in-out, background 0.2s ease-in-out, color 0.2s ease-in-out;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}
.m-appointment-datetime-times-item:hover {
    -webkit-transition-duration: 0.1s;
    transition-duration: 0.1s;
}
.m-appointment-datetime-times-item:hover:active {
    -webkit-transition-duration: 0s;
    transition-duration: 0s;
}
.m-appointment-datetime-times-item_t {
    margin: -2px 0 0;
    display: inline-block;
    vertical-align: top;
    font-size: 14px;
    line-height: 18px;
    vertical-align: middle;
    padding: 0 8px;
    font-weight: 400;
}
.m-appointment-datetime-times-item_t.occupied {
    background-color:#ff9999;
}

.m-appointment-datetime-times_notime {
    margin: 16px 0 0 16px;
}
.m-appointment .element-autocomplete {
    display: none;
}